petsc-3.12.4 2020-02-04
Report Typos and Errors

# DMSetCoordinateDim

Set the dimension of the embedding space for coordinate values.

### Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    #include "petscds.h"
    PetscErrorCode DMSetCoordinateDim(DM dm, PetscInt dim)

Not Collective

### Input Parameters

| dm | - The DM object
| dim | - The embedding dimension

### See Also

DMGetCoordinateDim(), DMSetCoordinateSection(), DMGetCoordinateSection(), DMGetLocalSection(), DMSetLocalSection()

### Level

intermediate

### Location

src/dm/interface/dm.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages